=== modified file 'bzrlib/tests/bzrdir_implementations/test_bzrdir.py'
--- bzrlib/tests/bzrdir_implementations/test_bzrdir.py	2006-08-11 06:59:53 +0000
+++ bzrlib/tests/bzrdir_implementations/test_bzrdir.py	2006-08-16 06:07:42 +0000
@@ -1235,12 +1235,16 @@
         dir.needs_format_conversion(None)
 
     def test_upgrade_new_instance(self):
-        """Does an available updater work ?."""
+        """Does an available updater work?"""
         dir = self.make_bzrdir('.')
-        # for now, check is not ready for partial bzrdirs.
+        # for now, upgrade is not ready for partial bzrdirs.
         dir.create_repository()
         dir.create_branch()
-        dir.create_workingtree()
+        try:
+            dir.create_workingtree()
+        except errors.NotLocalUrl:
+            raise TestSkipped(
+                "Cannot make working tree on non-local transport.")
         if dir.can_convert_format():
             # if its default updatable there must be an updater 
             # (we change the default to match the lastest known format

